#!/bin/sh

# Copyright (c) 2016 Samsung Electronics Co., Ltd All Rights Reserved
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Syntax is: run_tct_chroot.sh $ID $TEST_REPO $RESULT_DIR
#
# Author: Aleksander Mistewicz <a.mistewicz@samsung.com>

export TESTLAB_SCRIPTS="$(CDPATH='' cd -- "$(dirname -- "$0")" && pwd -P)"

. "${TESTLAB_SCRIPTS}/common.sh"
. "${TESTLAB_SCRIPTS}/run/run.sh"

ID="$1"
TEST_REPO="$2"
RESULT_DIR="$3"

test -n "${ID}" || die "Missing argument: id!"
test -n "${TEST_REPO}" || die "Missing argument: test repo!"
test -n "${RESULT_DIR}" || die "Missing argument: result dir!"

create_chroot "${ID}"

run_in_chroot "${ID}" "ln -s ${TEST_REPO} ${NATIVE_TCT_HOST_PATH}/packages/common"
run_in_chroot "${ID}" "${TESTLAB_SCRIPTS}/run/run_tct.sh ${ID}"

mkdir -p "$(dirname "${RESULT_DIR}")"
SRC=$(run_in_chroot "${ID}" "readlink ${NATIVE_TCT_HOST_PATH}/shell/result/latest")
run_in_chroot "${ID}" "sudo cp -r ${SRC} ${RESULT_DIR}"

delete_chroot "${ID}"
